Last Comment Bug 860395 - [ImageContainedChild] leaking SharedImage objects in ImageBridgeCopyAndSendTask::Run()
: [ImageContainedChild] leaking SharedImage objects in ImageBridgeCopyAndSendTa...
Status: RESOLVED FIXED
[MemShrink], QARegressExclude
:
Product: Firefox OS
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: B2G C4 (2jan on)
Assigned To: Mike Habicher [:mikeh] (high bugzilla latency)
:
Mentors:
Depends on:
Blocks: 846903
  Show dependency treegraph
 
Reported: 2013-04-10 11:00 PDT by Mike Habicher [:mikeh] (high bugzilla latency)
Modified: 2013-05-03 09:27 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
tef+
unaffected
unaffected
unaffected
unaffected
fixed
wontfix
fixed


Attachments
delete SharedImage object in ImageBridgeCopyAndSendTask::Run() to prevent leak (914 bytes, patch)
2013-04-10 11:00 PDT, Mike Habicher [:mikeh] (high bugzilla latency)
bugzilla: review+
Details | Diff | Review

Description Mike Habicher [:mikeh] (high bugzilla latency) 2013-04-10 11:00:45 PDT
Created attachment 735874 [details] [diff] [review]
delete SharedImage object in ImageBridgeCopyAndSendTask::Run() to prevent leak

Moving patch from bug 846903 to its own bug; propagating flags, setting as blocker.
Comment 1 Mike Habicher [:mikeh] (high bugzilla latency) 2013-04-10 11:03:24 PDT
Comment on attachment 735874 [details] [diff] [review]
delete SharedImage object in ImageBridgeCopyAndSendTask::Run() to prevent leak

Carrying over r=nical from bug 846903 attachment 735850 [details] [diff] [review].
Comment 2 Mike Habicher [:mikeh] (high bugzilla latency) 2013-04-10 11:04:49 PDT
jlebar, if you (or someone else) can tef+ this, I'll land it on b2g18 this afternoon.
Comment 3 Justin Lebar (not reading bugmail) 2013-04-10 11:10:57 PDT
I tef+'ed it, but then bugzilla reverted it along with your comment!
Comment 4 Mike Habicher [:mikeh] (high bugzilla latency) 2013-04-10 11:21:10 PDT
https://hg.mozilla.org/releases/mozilla-b2g18/rev/70481b9a9db5

(Change _only_ applies to b2g18 branches.)
Comment 5 Ryan VanderMeulen [:RyanVM] 2013-04-11 05:08:14 PDT
https://hg.mozilla.org/releases/mozilla-b2g18_v1_0_1/rev/389e5dd939c0
Comment 6 Cody Roesch [:croesch] 2013-05-02 15:06:15 PDT
Can you please provide steps to verify this fix - as we will blackbox test from the UI?
Comment 7 Mike Habicher [:mikeh] (high bugzilla latency) 2013-05-03 06:41:48 PDT
(In reply to croesch from comment #6)
>
> Can you please provide steps to verify this fix - as we will blackbox test
> from the UI?

There is no way to blackbox this from the UI.  The symptoms of the leak this fixes can only really be seen from the adb-shell command line.
Comment 8 Cody Roesch [:croesch] 2013-05-03 09:27:49 PDT
Based on Comment 7, marking as QARegressExclude.

Note You need to log in before you can comment on or make changes to this bug.